Bug 491730 - knetworkmanager cannot pass static IP config to NetworkManager successfully.
knetworkmanager cannot pass static IP config to NetworkManager successfully.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: knetworkmanager (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-23 15:02 EDT by Michael Carney
Modified: 2009-09-07 22:15 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-07 22:15:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Carney 2009-03-23 15:02:14 EDT
Description of problem:
If one sets ONBOOT=no in /etc/sysconfig/network-scripts/ifcfg-eth0 and configures static IP networking using knetworkmanager, the user's settings are not applied to the system as expected.

It appears that NetworkManager is having trouble dealing with the IPv4 address configuration given it by knetworkmanager.

Version-Release number of selected component (if applicable):
knetworkmanager-0.7-0.8.20080926svn.fc10.i386
NetworkManager-0.7.0.99-3.fc10.i386

How reproducible:
Always.

Steps to Reproduce:
1.Set ONBOOT=no in /etc/sysconfig/network-scripts/ifcfg-eth0
2.Use knetworkmanager to configure a static IP setup
3.Apply setup using knetworkmanager
  
Actual results:
No valid IPv4 configuration for eth0.

Expected results:
A valid IPv4 configuration for eth0 using the parameters I configured using knetworkmanager.

Additional info:
/home/xxx/.kde/share/config/knetworkmanagerrc contents:
[ConnectionSetting_eaxU3ukzi5uLQov9_802-3-ethernet]
Type=802-3-ethernet
Value_auto-negotiate=<bool>true</bool>\n
Value_mtu=<uint32>0</uint32>\n
Value_speed=<uint32>0</uint32>\n

[ConnectionSetting_eaxU3ukzi5uLQov9_connection]
Type=connection
Value_autoconnect=<bool>true</bool>\n
Value_id=<string>Fubar Wired</string>\n
Value_type=<string>802-3-ethernet</string>\n
Value_uuid=<string>eaxU3ukzi5uLQov9</string>\n

[ConnectionSetting_eaxU3ukzi5uLQov9_ipv4]
Type=ipv4
Value_addresses=<list>\n <list>\n  <uint32>25274560</uint32>\n  <uint32>16777215</uint32>\n  <uint32>2189535424</uint32>\n </list>\n</list>\n
Value_dns=<list>\n <uint32>27024964</uint32>\n <uint32>27090500</uint32>\n</list>\n
Value_dns-search=<list>\n <string>sbcglobal.net</string>\n</list>\n
Value_ignore-auto-dns=<bool>false</bool>\n
Value_ignore-auto-routes=<bool>false</bool>\n
Value_method=<string>manual</string>\n

[Connection_eaxU3ukzi5uLQov9]
Id=eaxU3ukzi5uLQov9
Secrets=
Settings=ConnectionSetting_eaxU3ukzi5uLQov9_connection,ConnectionSetting_eaxU3ukzi5uLQov9_802-3-ethernet,ConnectionSetting_eaxU3ukzi5uLQov9_ipv4
Type=802-3-ethernet


Related error messages observed in /var/log/messages:
Mar 23 10:56:01 lucy NetworkManager: <info>  (eth0): device state change: 1 -> 2
Mar 23 10:56:01 lucy NetworkManager: <info>  (eth0): bringing up device.
Mar 23 10:56:01 lucy kernel: eth0:  setting full-duplex.
Mar 23 10:56:01 lucy NetworkManager: <info>  (eth0): preparing device.
Mar 23 10:56:01 lucy NetworkManager: <info>  (eth0): deactivating device (reason: 2).
Mar 23 10:56:01 lucy NetworkManager: <info>  (eth0): carrier now ON (device state 2)
Mar 23 10:56:01 lucy NetworkManager: <info>  (eth0): device state change: 2 -> 3
Mar 23 10:56:04 lucy ntpd[2137]: Listening on interface #6 eth0, fe80::208:74ff:fe39:6016#123 Enabled
Mar 23 10:56:14 lucy NetworkManager: <WARN>  connection_get_settings_cb(): connection_get_settings_cb: Invalid connection: 'NMSettingIP4Config' / 'addresses' invalid: 1
Mar 23 10:56:14 lucy NetworkManager: <WARN>  connection_get_settings_cb(): connection_get_settings_cb: Invalid connection: 'NMSettingIP4Config' / 'addresses' invalid: 1
Mar 23 10:57:27 lucy NetworkManager: <WARN>  nm_signal_handler(): Caught signal15, shutting down normally.
Mar 23 10:57:27 lucy NetworkManager: <info>  (eth0): now unmanaged
Comment 1 Michael Carney 2009-03-23 15:04:54 EDT
Workaround: Configure static IP networking using system-config-network, and set ONBOOT=yes in /etc/sysconfig/network-scripts/ifcfg-eth0. NetworkManager works fine with static IP configuration from /etc/sysconfig/network-scripts/ifcfg-eth0.
Comment 2 Steven M. Parrish 2009-05-30 21:36:21 EDT
Thanks for letting us know of this workaround.  Is this still an issue with the latest KDE updates.  With kde4.2  knetworkmanager is no longer a standalone package for fedora.  If this is still an issue please file a bug report upstream at http://bugs.kde.org and add upstream info to this report.
Comment 3 Steven M. Parrish 2009-09-07 22:15:10 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.